summaryrefslogtreecommitdiffstats
path: root/main/atop/atop.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/atop/atop.initd')
-rw-r--r--main/atop/atop.initd21
1 files changed, 21 insertions, 0 deletions
diff --git a/main/atop/atop.initd b/main/atop/atop.initd
new file mode 100644
index 00000000..6d471c27
--- /dev/null
+++ b/main/atop/atop.initd
@@ -0,0 +1,21 @@
+#!/sbin/runscript
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-process/atop/files/atop.rc,v 1.1 2005/06/14 23:01:10 vapier Exp $
+
+_daily=/etc/periodic/daily/atop
+start(){
+ ebegin "Starting atop"
+ if [ -f "$_daily" ] ; then
+ start-stop-daemon --start --quiet --exec "$_daily"
+ eend $?
+ else
+ eend 1 "/etc/cron.d/atop doesnt exist!"
+ fi
+}
+
+stop(){
+ ebegin "Stopping atop"
+ start-stop-daemon --stop --pidfile /var/run/atop.pid
+ eend $?
+}